Bug 4176 - root password hash remains weak after selecting MD5 hash
root password hash remains weak after selecting MD5 hash
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-23 08:49 EDT by mommi
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-29 03:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mommi 1999-07-23 08:49:22 EDT
root password hash remains weak after selecting MD5
hash. /etc/shadow has a very short hash of root password
and long hashes of (ordinary) users added afterwards. This
must be documented so root remembers to change his password
after install to get the stronger hash.
Comment 1 Cristian Gafton 1999-07-29 03:01:59 EDT
This is because the change in the authentication policies comes after
we set the root password. We will address this problem in the next
release.

Note You need to log in before you can comment on or make changes to this bug.